// De la http://www.marplo.net
// Functia pt. verificarea formularului de inregistrare si autentificare
function regcheck(ceck) {
  // Verifica lungimea numelui
  var nume=ceck.nume.value.length;
  if (nume<3) {
    alert("Numele trebue sa contina minim 3 caractere!");
    ceck.nume.select();    // Selecteaza caseta cu numele
    return false;
  }

  // Verifica lungimea parolei
  var parola=ceck.pass.value.length;
  if (parola<7) {
     alert("Parola trebue sa contina minim 7 caractere!");
    ceck.pass.select();    // Selecteaza caseta cu parola
    return false;
  }

  // Verifica daca parola a fost scrisa aceeasi si in "Rescrie Parola"
  var parola2=ceck.pass2.value.length;
  if (parola!=parola2) {
     alert('Trebuie sa scrieti aceeasi parola si in campul "Rescrie Parola"!');
    ceck.pass2.select();    // Selecteaza caseta cu parola
    return false;
  }
  
  // Verifica textul pt. adresa de email
  var email=ceck.email.value;
  if (email.indexOf("@")==-1 || email.indexOf(".")==-1 || email.length<6) {
    alert("Introduceti corect adresa de e-mail!");
    ceck.email.select();    // Selecteaza caseta de email
    return false;
  }

  // Verifica numarul de verificare anti-spam
  var nr0=ceck.nrv0.value;
  var nr=ceck.nrv.value;
  if (nr!=nr0) {
    alert("Introduceti corect numarul de verificare!");
    ceck.nrv.select();    // Selecteaza caseta cu nr. de verificare
    return false;
  }
}

// Functia pt. verificarea formularului de recuperare date
function recupera(ceck) {
  // Verifica textul pt. adresa de email
  var email=ceck.email.value;
  if (email.indexOf("@")==-1 || email.indexOf(".")==-1 || email.length<6) {
    alert("Introduceti corect adresa de e-mail!");
    ceck.email.select();    // Selecteaza caseta de email
    return false;
  }

  // Verifica numarul de verificare anti-spam
  var nr0=ceck.nrv0.value;
  var nr=ceck.nrv.value;
  if (nr!=nr0) {
    alert("Introduceti corect numarul de verificare!");
    ceck.nrv.select();    // Selecteaza caseta cu nr. de verificare
    return false;
  }
}